/* Using ultrasonic rangefinder, 
 * Turn on Green LED for distance/low and Red for Hight
 *
 */
 
int RedPin = 10;                
int GrnPin = 8; 
int analogPin = 0;
int aVal=0;
int interval=200;
int threshold=40;

int value = LOW;                // previous value of the LED

int DEBUG=1;
int REDGREEN=1;
long previousMillis=0;

void setup()
{
  pinMode(RedPin, OUTPUT);      // sets the digital pin as output
  pinMode(GrnPin, OUTPUT);      // sets the digital pin as output
  
  pinMode(14,INPUT);
  analogReference(DEFAULT);
  if (DEBUG) {           // If we want to see the pin values for debugging...
    Serial.begin(19200);  // ...set up the serial ouput in 0004 format
    Serial.println("Starting...");
  }
  digitalWrite(RedPin, 1);
  delay(200);
  digitalWrite(GrnPin, 1);
  delay(200);
  digitalWrite(RedPin, 0);
  delay(200);
  digitalWrite(GrnPin, 0);

  previousMillis=millis();
}

void loop()
{
 // here is where you'd put code that needs to be running all the time.

  // check to see if it's time to blink the LED; that is, is the difference
  // between the current time and last time we blinked the LED bigger than
  // the interval at which we want to blink the LED.
  if (millis() - previousMillis > interval) {
    previousMillis = millis();   // remember the last time we blinked the LED

    aVal=analogRead(analogPin)*1.24;  //convert to centimeters
    
      if (aVal>threshold) {
        digitalWrite(GrnPin, 1);
        digitalWrite(RedPin, 0);
      }
      else {
        digitalWrite(GrnPin, 0);
        digitalWrite(RedPin, 1);    
      }
    if (DEBUG) { // If we want to read the output
          //Serial.println("test 100");    // Indicate that output is red value
//          Serial.println(aVal);
//          Serial.print("Analog : ");
          Serial.println(aVal);
      } //DEBUG
   } // millis
} //loop


